package com.example.listviewscrollstatus;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;

public class MainActivity extends Activity {

	ListView listView;

	// 模拟数据源
	int[] iconRes = { R.drawable.ic_launcher, R.drawable.ic_add, R.drawable.ic_add_selected };

	// 存放数据
	private List<Map<String, Object>> dataList;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		initListView();
	}

	private void initListView() {
		listView = (ListView) findViewById(android.R.id.list);
		getData();

		listView.setAdapter(new ListContentAdapter(this, dataList));
		listView.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Log.i("onitem click", "onItemClick  " + position + "   id= " + id);
			}
		});
	}

	private void getData() {

		dataList = new ArrayList<Map<String, Object>>();
		Map<String, Object> map;
		// 模拟数据,放入对应的logo icon,title,set icon
		for (int i = 0; i < 40; i++) {
			map = new HashMap<String, Object>();
			map.put("icon", iconRes[i % 3]); // 轮流使用
			map.put("title", "文字标题__" + i);
			// map.put("set", "");

			dataList.add(map);
			map = null;
		}
	}

}